Bug 618685

Summary: mem-leak on guests with high disk IO
Product: [Fedora] Fedora Reporter: Jan ONDREJ <ondrejj>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: amit.shah, berrange, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, ondrejj, scottt.tw, virt-maint
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=7eb58a6c556c3880e6712cbf6d24d681261c5095
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 08:03:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Another patch none

Description Jan ONDREJ 2010-07-27 10:33:46 EDT
Description of problem:
Some of my virtual machines eats more memory like defined in configuration. It is sometime more than 3-times like in definition. For example should use 2.5 GB RAM, but top shows:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
 2412 qemu      20   0 7563m 3.5g 1092 S 99.7 22.2   7926:00 qemu-kvm           

Version-Release number of selected component (if applicable):
kernel-2.6.32.16-141.fc12.x86_64
qemu-kvm-0.12.3-2.fc12.x86_64

How reproducible:
aprox. one week after guest reboot, guest memory usage is growing with constant usage.

Steps to Reproduce:
I am not sure, if it is reproducible on your machine, but I think this was already fixed upstream, so may be no need to reproduce.
  
Additional info:
qemu-0.12.4 has an fix for:
  Fix multiwrite memory leak in error case

May be this patch helps:
http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=7eb58a6c556c3880e6712cbf6d24d681261c5095

If there are no plans to release 0.12.4 for Fedora, is it possible to patch current stable qemu-kvm?

I can recheck, if you push an updates-testing package.
Comment 1 Jan ONDREJ 2010-07-27 14:03:54 EDT
Created attachment 434794 [details]
Another patch

May be we need to apply also this patch before.
Comment 2 Jan ONDREJ 2010-08-25 15:28:38 EDT
Looks like this is fixed in qemu-0.12.5-1.fc13. Any chance to get this into F12 too? If not, I will update my host to F13.

And I tested to compile this patch (+any other from upstream) and looks like it helped to leave memory usage at constant value (I think it's still high, but at least not increasing).

My mail server should use 2.5 GB memory, but top says:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
 2768 qemu      20   0 5443m 3.8g 1116 S  3.8 24.0  12558:01 qemu-kvm           

5 GB VIRT (>2*defined_memory) and 3.8 GB RES.
Comment 3 Bug Zapper 2010-11-03 07:30:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:03:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.